Opened 7 years ago

Closed 7 years ago

#233 closed defect (wontfix)

Impossible to access to the physical disks behind a 3Ware 9650 RAID card

Reported by: xmilha Owned by: Christian Franke
Priority: minor Milestone:
Component: all Version: 5.43
Keywords: 3ware windows Cc: alex-sh

Description

I have an 3Ware 9650 RAID card with 4 physical disks (Samsung HD203WI with tler modifiable) and 4 logical partitions but I can't access to the physical disks, when I type (for example)
smartctl -i /dev/sdc,1 or smartctl -i /dev/sdc,2 I get informations on the partitions and not informations on the disks. So I can't change the TLER parameter of my disks.

The OS is Windows 2003, the smartmontools version is 5.43, the 3Ware driver version is 3.00.05.056 and the firmware is 4.10.00.026.


smartctl -i /dev/sdb,1

smartctl 5.43 2012-06-30 r3573 [i686-w64-mingw32-2003-sp2] (sf-5.43-1)
Copyright (C) 2002-12 by Bruce Allen, http://smartmontools.sourceforge.net

Vendor: LSI
Product: 9650SE-16ML
Revision: 4.10
User Capacity: 2á999á967á547á392 bytes [2,99 TB]
Logical block size: 512 bytes
Logical Unit id: 0x600050e0c12df40038490000af5b0000
Serial number: WZ502711C12DF4003849
Device type: disk
scsiModePageOffset: response length too short, resp_len=4 offset=4 bd_len=0
Local Time is: Sun Aug 12 13:40:09 2012 PM
Device supports SMART and is Disabled
Temperature Warning Disabled or Not Supported

smartctl -i /dev/sdb,2

smartctl 5.43 2012-06-30 r3573 [i686-w64-mingw32-2003-sp2] (sf-5.43-1)
Copyright (C) 2002-12 by Bruce Allen, http://smartmontools.sourceforge.net

Vendor: LSI
Product: 9650SE-16ML
Revision: 4.10
User Capacity: 2á999á967á547á392 bytes [2,99 TB]
Logical block size: 512 bytes
Logical Unit id: 0x600050e0c12df40038490000af5b0000
Serial number: WZ502711C12DF4003849
Device type: disk
scsiModePageOffset: response length too short, resp_len=4 offset=4 bd_len=0
Local Time is: Sun Aug 12 13:40:14 2012 PM
Device supports SMART and is Disabled
Temperature Warning Disabled or Not Supported

smartctl -i /dev/sdc,1

smartctl 5.43 2012-06-30 r3573 [i686-w64-mingw32-2003-sp2] (sf-5.43-1)
Copyright (C) 2002-12 by Bruce Allen, http://smartmontools.sourceforge.net

Vendor: LSI
Product: 9650SE-16ML
Revision: 4.10
User Capacity: 1á999á988á850á688 bytes [1,99 TB]
Logical block size: 512 bytes
Logical Unit id: 0x600050e0c0fa1800524d000053430000
Serial number: WZ707793C0FA1800524D
Device type: disk
scsiModePageOffset: response length too short, resp_len=4 offset=4 bd_len=0
Local Time is: Sun Aug 12 13:15:40 2012 PM
Device supports SMART and is Disabled
Temperature Warning Disabled or Not Supported

smartctl -i /dev/sdc,2

smartctl 5.43 2012-06-30 r3573 [i686-w64-mingw32-2003-sp2] (sf-5.43-1)
Copyright (C) 2002-12 by Bruce Allen, http://smartmontools.sourceforge.net

Vendor: LSI
Product: 9650SE-16ML
Revision: 4.10
User Capacity: 1á999á988á850á688 bytes [1,99 TB]
Logical block size: 512 bytes
Logical Unit id: 0x600050e0c0fa1800524d000053430000
Serial number: WZ707793C0FA1800524D
Device type: disk
scsiModePageOffset: response length too short, resp_len=4 offset=4 bd_len=0
Local Time is: Sun Aug 12 13:15:43 2012 PM
Device supports SMART and is Disabled
Temperature Warning Disabled or Not Supported

Attachments (2)

Response to ioctl.txt (4.4 KB) - added by xmilha 7 years ago.
Response to ioctl (/dev/sdb1 and /dev/tw_cli/c0/p1)
Response to ioctl (without physical HDD number).txt (13.1 KB) - added by xmilha 7 years ago.
Response to ioctl (without physical HDD number)

Download all attachments as: .zip

Change History (9)

comment:1 Changed 7 years ago by Christian Franke

Component: smartctlall
Keywords: 3ware windows added; 3Ware 9650 RAID tler removed
Milestone: Release 5.44

Please provide output of this command as an attachment(!):

smartctl -r ioctl,2 -d ata -i /dev/sdb,1

Note that 3ware Windows drivers only implement SMART pass-through commands. Full fledged ATA pass-through support is missing, therefore it is not possible to set TLER.

Changed 7 years ago by xmilha

Attachment: Response to ioctl.txt added

Response to ioctl (/dev/sdb1 and /dev/tw_cli/c0/p1)

comment:2 Changed 7 years ago by Christian Franke

Milestone: Release 5.44
Owner: changed from somebody to Christian Franke
Status: newaccepted
  \\.\PhysicalDrive1: successfully opened
    SMART_GET_VERSION failed, Error=1
  \\.\PhysicalDrive1: ATA driver has no SMART support
  To continue, add one or more '-T permissive' options.
  Smartctl open device: /dev/sdb,1 failed: Function not implemented

This output suggests that newer 3ware Windows drivers no longer implement SMART I/O controls at all. If possible, please ask LSI 3ware support whether this is the case.

Did it work for you in the past?
Does it possibly work with older smartmontools releases?
Do other (closed source) Windows SMART tools work?

Please test also without physical driver number:

  smartctl -r ioctl,2 -d ata -i -A /dev/sdb

With older 3ware drivers, this returned the SMART data of the first physical drive of an array. No 3ware specific code is used in this case, so this should work with any other Windows SMART tool.

comment:3 Changed 7 years ago by xmilha

It has never worked for me. I tried versions 5.40 to 5.43 of SMT without any success.
For the 3ware card, I used the drivers 3.00.04.070 and 3.00.05.056 corresponding the releases 9.5.3 and 9.5.4 (firmwares 4.10.00.007 and 4.10.00.026).

With Speedfan 4.46, I can see all the SMART informations of all the HDDs behind the 3ware card,
With Hard Disk Monitor 3.70, I can see all the SMART informations of the all HDDs behind the 3ware card, except for the spare HDD (it doesn't appear in the list).

Changed 7 years ago by xmilha

Response to ioctl (without physical HDD number)

comment:4 Changed 7 years ago by Christian Franke

The access method was first tested with smartctl 5.37, 3ware 9500S and firmware/driver from codeset 9.4.0. Last year there was positive feedback for 9690SA on XP 32-bit and Win7 x64 (see mailing list and ticket #165).

There was also negative feedback for 9650SE on XP x64 (ticket #172). The results were the same as on your Win2003 32-bit system: SMART_GET_VERSION I/O control fails with "not implemented" error code.

The fact that some closed source tools work proves that there is another access path to (at least) SMART data. But we could not implement this without documentation.

Could you possibly also test CrystalDiskInfo?

comment:5 Changed 7 years ago by alex-sh

Cc: alex-sh added

3ware 9690SA-4I4E works for me with smartctl 5.41, 5.43 (64-bit), and 5.44 (2012-08-06 prerelease).

OS: Windows 7 x86-64;

driver: 3.0.4.70 (7/7/2009) (the latest in windows update) and 3.0.5.56 (8/10/2010) (the latest on LSI site);

firmware: 4.10.00.007 (cannot upgrade to the latest version (4.10.00.026) because the updater complains about 64-bit windows, and I don't have a 32-bit one).

Please note that I only have 1 drive attached to the controller, exported as one logical volume (not JBOD). I haven't tested it with more drives. Not sure if this is the condition that makes it work.

Tested with smartctl -a /dev/sdc,2 (and -x as well).

I can attach ioctl,2 outputs and perform any other tests if needed.

Cheers

comment:6 Changed 7 years ago by xmilha

I tried with CrystalDiskInfo? 2.7.2, 3.0.3 and 5.0.4, this application has the same problem as Smartmontools, it can not access to any disk behind the RAID controller. it can access only to the system disk (connected directly to the MB).

comment:7 Changed 7 years ago by Christian Franke

Resolution: wontfix
Status: acceptedclosed

It reportedly works on Win7 x64 with recent drivers, see above. This likely a problem related to older Windows versions, see also ticket #172.

We cannot fix this without assistance from LSI.
Please reopen the ticket if further info is available.

Note: See TracTickets for help on using tickets.